summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorLarry Knox <lrknox@hdfgroup.org>2024-02-13 14:42:39 (GMT)
committerGitHub <noreply@github.com>2024-02-13 14:42:39 (GMT)
commitd888cf99db491595d4bb82a8fb70d7f1fe5e85f3 (patch)
tree2e468b4d460a17c4c338f89bceb2e02f355fb358 /bin
parent741c38147931dcf32886d5eb5a367d5af206d621 (diff)
downloadhdf5-d888cf99db491595d4bb82a8fb70d7f1fe5e85f3.zip
hdf5-d888cf99db491595d4bb82a8fb70d7f1fe5e85f3.tar.gz
hdf5-d888cf99db491595d4bb82a8fb70d7f1fe5e85f3.tar.bz2
Don't add files and directories with names that begin with ., or that match *autom4te* to release tar & zip files. (#4009)
Filter messages with 'ulimit -s' out of test output for runTest.cmake.
Diffstat (limited to 'bin')
-rwxr-xr-xbin/release2
1 files changed, 1 insertions, 1 deletions
diff --git a/bin/release b/bin/release
index 26a756c..5eb8b8c 100755
--- a/bin/release
+++ b/bin/release
@@ -466,7 +466,7 @@ done
# Create the tar file
test "$verbose" && echo " Running tar..." 1>&2
-(cd "$tmpdir" && exec tar -ch --exclude-vcs -f "$HDF5_VERS.tar" "./$HDF5_IN_VERS" || exit 1 )
+(cd "$tmpdir" && exec tar -ch --exclude-vcs --exclude=*autom4te* --exclude=.clang-format --exclude=.codespellrc --exclude=.devcontainer --exclude=.git* --exclude=.h5chkright.ini -f "$HDF5_VERS.tar" "./$HDF5_IN_VERS" || exit 1 )
# Compress
#SHA256=$HDF5_VERS.sha256